Package com.fasterxml.jackson.datatype.joda.deser.key

## Class DateTimeKeyDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.KeyDeserializer
  - - com.fasterxml.jackson.datatype.joda.deser.key.DateTimeKeyDeserializer

All Implemented Interfaces:
  `java.io.Serializable`

    public class DateTimeKeyDeserializer
    extends com.fasterxml.jackson.databind.KeyDeserializer

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.KeyDeserializer

`com.fasterxml.jackson.databind.KeyDeserializer.None`

### Field Summary

Fields
`protected static JacksonJodaPeriodFormat` `PERIOD_FORMAT`

### Constructor Summary

Constructors
`DateTimeKeyDeserializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.joda.time.DateTime` `deserialize​(java.lang.String key, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
`java.lang.Object` `deserializeKey​(java.lang.String key, com.fasterxml.jackson.databind.DeserializationContext ctxt)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PERIOD_FORMAT

    protected static final JacksonJodaPeriodFormat PERIOD_FORMAT

### Constructor Detail

#### DateTimeKeyDeserializer

    public DateTimeKeyDeserializer()

### Method Detail

#### deserialize

    protected org.joda.time.DateTime deserialize​(java.lang.String key,
                                                 com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                          throws java.io.IOException

Throws:
  `java.io.IOException`

#### deserializeKey

    public final java.lang.Object deserializeKey​(java.lang.String key,
                                                 com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                          throws java.io.IOException

Specified by:
  `deserializeKey` in class `com.fasterxml.jackson.databind.KeyDeserializer`
Throws:
  `java.io.IOException`